Bug 611184 - SELinux is preventing /usr/bin/perl "create" access on munin-master-processmanager-3809.sock.
SELinux is preventing /usr/bin/perl "create" access on munin-master-processma...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:85469b922d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 03:12 EDT by Anand
Modified: 2010-07-05 04:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-05 04:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand 2010-07-04 03:12:29 EDT
Summary:

SELinux is preventing /usr/bin/perl "create" access on
munin-master-processmanager-3809.sock.

Detailed Description:

SELinux denied access requested by munin-update. It is not expected that this
access is required by munin-update and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:munin_t:s0-s0:c0.c1023
Target Context                system_u:object_r:tmp_t:s0
Target Objects                munin-master-processmanager-3809.sock [ sock_file
                              ]
Source                        munin-update
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.10.0-87.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat
                              Nov 7 21:25:57 EST 2009 i686 i686
Alert Count                   1
First Seen                    Fri 02 Jul 2010 05:50:02 PM IST
Last Seen                     Fri 02 Jul 2010 05:50:02 PM IST
Local ID                      1cfe526c-3c30-49d8-8bc3-bdbcd4fc5441
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278073202.513:27216): avc:  denied  { create } for  pid=3809 comm="munin-update" name="munin-master-processmanager-3809.sock" scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=sock_file

node=(removed) type=SYSCALL msg=audit(1278073202.513:27216): arch=40000003 syscall=102 success=no exit=-13 a0=2 a1=bffc7d40 a2=c694ac a3=89b1008 items=0 ppid=3808 pid=3809 auid=479 uid=479 gid=453 euid=479 suid=479 fsuid=479 egid=453 sgid=453 fsgid=453 tty=(none) ses=9 comm="munin-update" exe="/usr/bin/perl" subj=system_u:system_r:munin_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,munin-update,munin_t,tmp_t,sock_file,create
audit2allow suggests:

#============= munin_t ==============
allow munin_t tmp_t:sock_file create;
Comment 1 Miroslav Grepl 2010-07-05 04:30:12 EDT
Please, execute

yum update

Note You need to log in before you can comment on or make changes to this bug.